use Xorfilter::*;

fn main() {
    
    const SIZE: usize = 100000;
    const N: usize = capacity::<SIZE>();
    
    let mut keys = [0; SIZE];
    
    for i in 0..SIZE {
        keys[i] = i as u64;
    }

    dbg!(keys);
    let x: XorFilter<u8, N> = XorFilter::new(&keys);
    for i in 0..SIZE {
        println!("{}", x.contains(keys[i]));
    }
}
