use rand::prelude::*;
use rand::{thread_rng, Rng};
use Xorfilter::*;

fn main() {

    let mut rng = thread_rng();
    
    const SIZE: usize = 100000;
    const N: usize = capacity::<SIZE>(); 
    
    let mut keys = [0; SIZE];

    for i in 0..SIZE {
        keys[i] = splitmix64(rng.gen::<u64>());
    }

    dbg!(keys);
    let x: XorFilter<u64, N> = XorFilter::new(&keys);

    for i in 0..SIZE {
        println!("{}", x.contains(keys[i]));
    }
}
